Zoey REST API reference ยท Interactive version: apidocs.zoey.com

Quotes

Quotes: Shipping

Set

PUT https://container-url.zoeysite.com/api/rest/quotes2/quote_shipping

Example request body:

{
    "quoteId": "113",
    "method": "flatrate_flatrate"
}

Set Custom

PUT https://container-url.zoeysite.com/api/rest/quotes2/quote_shipping_custom

Example request body:

{
    "quoteId": "113",
    "amount": 21.5,
    "description": "This is a custom shipping description."
}

Get Offline

GET https://container-url.zoeysite.com/api/rest/quotes2/quote_shipping_offline?quoteId=113

Query parameters:

NameExampleNotes
quoteId113ID of quote to fetch info for. ( Required )

Example response (Get Offline), HTTP 200:

[
    {
        "carrier": "flatrate",
        "carrier_title": "Flat Rate 1",
        "code": "flatrate_flatrate",
        "method": "flatrate",
        "method_description": "",
        "price": "5.00",
        "error_message": "This shipping method is currently unavailable. If you would like to ship using this shipping method, please contact us.",
        "method_title": "Standard Shipping",
        "carrier_type": "",
        "custom_description": "",
        "carrier_id": "",
        "tooltip": "",
        "customs_message": "",
        "carrierName": "Standard Shipping",
        "handling_fee": "",
        "handling_type": "F",
        "type": "O"
    },
    {
        "code": "b2bquotes_custom_shipping",
        "carrier_title": "",
        "method_title": "Custom Shipping",
        "custom_description": null,
        "price": null,
        "price_number": null
    }
]

Get

GET https://container-url.zoeysite.com/api/rest/quotes2/quote_shipping?quoteId=113

Query parameters:

NameExampleNotes
quoteId113ID of quote to fetch info for. ( Required )

Example response (Get), HTTP 200:

[
    {
        "carrier": "shipper",
        "carrier_title": "Shipping Rates",
        "code": "shipper_error",
        "method": null,
        "method_description": null,
        "price": "0.0000",
        "error_message": "This shipping method is currently unavailable. If you would like to ship using this\n                    shipping method, please contact us.\n                ",
        "method_title": null,
        "freight_rate": "0",
        "pickup_location": null,
        "time_slot": null,
        "pickup_latitude": null,
        "pickup_longitude": null,
        "pickup_email": null,
        "pickup_contact": null,
        "pickup_email_option": null,
        "carrier_type": null,
        "dispatch_date": null,
        "delivery_date": null,
        "carrier_notice": null,
        "custom_description": null,
        "carrier_id": null,
        "custom_duties": null,
        "carriergroup_id": null,
        "carriergroup": null,
        "carriergroup_shipping_details": null,
        "tooltip": null,
        "customs_message": null,
        "carrierName": "Shipping Rates"
    },
    {
        "carrier": "freeshipping",
        "carrier_title": "Free Shipping",
        "code": "freeshipping_freeshipping",
        "method": "freeshipping",
        "method_description": null,
        "price": "0.0000",
        "error_message": null,
        "method_title": "Free",
        "freight_rate": "0",
        "pickup_location": null,
        "time_slot": null,
        "pickup_latitude": null,
        "pickup_longitude": null,
        "pickup_email": null,
        "pickup_contact": null,
        "pickup_email_option": null,
        "carrier_type": null,
        "dispatch_date": null,
        "delivery_date": null,
        "carrier_notice": null,
        "custom_description": null,
        "carrier_id": null,
        "custom_duties": null,
        "carriergroup_id": null,
        "carriergroup": null,
        "carriergroup_shipping_details": null,
        "tooltip": null,
        "customs_message": null,
        "carrierName": "Free Shipping"
    },
    {
        "carrier": "flatrate",
        "carrier_title": "Flat Rate 1",
        "code": "flatrate_flatrate",
        "method": "flatrate",
        "method_description": null,
        "price": "5.0000",
        "error_message": null,
        "method_title": "Standard Shipping",
        "freight_rate": "0",
        "pickup_location": null,
        "time_slot": null,
        "pickup_latitude": null,
        "pic
... (truncated)